<?
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Изменение пороля
=============================================
Official website: http://shcms.ru
=============================================
Данный код зашищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'Изменение пороля';
include_once'../template/head.php';
registrat();
echo '<div class="posts">';

$flodpass = mysql_fetch_array(mysql_query("SELECT * FROM pass_secure WHERE user_id='$user_id' ORDER BY id DESC"));

	if($flodpass['user_id'] == $user_id){
       echo 'Последний раз пороль был изменен:  <strong>'.$timedate->times($flodpass['time']).'</strong>';
	}
	else{
       echo 'Вы еще не использовали смену пороля';
	}
       echo '</div>';
	   
switch ($secure_pass) 
{
            case 'okpass' :
	
       $err_pass = array();
       $pass_st = isset ($_POST['pass_st']) ? trim($_POST['pass_st']) : '';
       $password_new = isset ($_POST['password_new']) ? trim($_POST['password_new']) : '';
	   $password_new2 = isset ($_POST['password_new2']) ? trim($_POST['password_new2']) : '';
	   
	if (!$password_new || !$password_new2){
       errors('Обязательно заполните все поля');
	   header('Refresh: 1; url=password.php?');
	   include_once'../template/foot.php';
       exit();
	}
    else {
	if (!$pass_st || !$password_new || !$password_new2){
       errors('Обязательно заполните все поля');
	   header('Refresh: 1; url=password.php?');
	   include_once'../template/foot.php';
       exit();
    }}
	if (!$err_pass && md5(md5($pass_st)) !== $user['password']){
       errors('Вы неправильно ввели старый пороль');
	   header('Refresh: 1; url=password.php?');
	   exit();
	}
    
	if ($password_new != $password_new2){
       errors('Новые пароли не совпадают');
	   header('Refresh: 1; url=password.php?');
       exit();
	}
	if (preg_match("/[^\da-zA-Z_]+/", $password_new) && !$err_pass){
       errors('В новом пороле имеются недопустимые символы');
	   header('Refresh: 1; url=password.php?');
	   include_once'../template/foot.php';
       exit();
	}
    
	if (!$err_pass && (strlen($password_new) < 2 or strlen($password_new) > 50))
    {
	errors('Длина пароля должна быть не больше 50символов');
	header('Refresh: 1; url=password.php?' . $conservation . '&' );
	include_once'../template/foot.php';
    exit();
	}
    if (!$err_pass) {
       mysql_query("UPDATE `users` SET `password` = '".mysql_real_escape_string(md5(md5($password_new)))."' WHERE `id` = '$user[id]' LIMIT 1");
       mysql_query("INSERT INTO `pass_secure` (`time`,`user_id`) VALUES ('".time()."','$user_id')");
    
	if (isset ($_COOKIE['cuid']) && isset ($_COOKIE['cups']))
       setcookie('cups', md5($password_new), time() + 3600 * 24 * 365);
       echo '<div class="actshcms">Ваш старый пороль успешно изменен на новый ('.$password_new.') 
	        для безопастности он был выслан вам на e-mail '.$user['email'].' и на внутреннюю почту</div><br />';
			
			$adress = "$user[email]";
			$tex = 'Смена пороля';	
			$contr = 'Вы успешно сменили пороль вашего логина('.$user['login'].') на сайте '.$_SERVER['HTTP_HOST'].'. Вот ваш новый пороль ('.$password_new.')';
			$conte = "From: <'secure@".$_SERVER['HTTP_HOST']."'>\r\n";
			$conte .= "Content-Type: text/plain; charset=\"utf-8\"\r\n";
			mail($adress,$tex,$contr,$conte);
			$text = 'Вы успешно сменили пороль вашего логина( '.$user['login'].' ) <br/>на сайте '.$_SERVER['HTTP_HOST'].'. <br/>
			         Вот ваш новый пороль ('.$password_new.')<br /><hr/>Отправлено:'.$timedate->times($time_date);
		mysql_query("INSERT INTO `mail` SET`user` = '$user[login]',`text` = '$text',`author` = 'Системный робот',`time` = '$time_date',`type` = 'in',`chit` = 'no'");
			header('Refresh: 1; url=password.php?');
	}
    else {
		echo errors($err_pass);
		header('Refresh: 1; url=password.php?');
	}
		break;
		default :
        
		echo '<div class="posts"><form action="?secure_pass=okpass" method="post">';
		echo 'Текущий пароль:<br /><input type="password" name="pass_st" /><br/>';
		echo 'Новый пороль:<br /><input type="password" name="password_new" /><br />';
		echo 'Еще раз новый пороль:<br /><input type="password" name="password_new2" /><br/>';
        echo '<input type="submit" name="submit" value="Сменить пороль"/>';
        echo '</form>
		<small>Из соображений безопасности советуем вам использовать особый пароль, который вы больше нигде не используете. Чтобы повысить уровень надежности. Например:<ul>
<li>Qwerty, 123456 - короткий и очевидный пароль; </li>
<li>Vjq1gfhjkm2 - сложный и достойный пароль.</li></ul>
		</small>
		</div>';
}
include_once'../template/foot.php';
?>